<?php
/*
	Plugin Name:  Builder Depreciated CPT
	Plugin URI:   https://themify.me/builder
	Version:      1.0.2
	Author:       Themify
	Author URI:   https://themify.me
	Description:  This plugin re-enables the Portfolio, Testimonial, Highlight and Slider post types that used to be in Builder.
	Text Domain:  

	* Compatibility:     5.0.0

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

add_filter( 'builder_is_portfolio_active', '__return_true' );
add_filter( 'builder_is_testimonial_active', '__return_true' );
add_filter( 'builder_is_highlight_active', '__return_true' );
add_filter( 'builder_is_slider_active', '__return_true' );

register_deactivation_hook( __FILE__, 'builder_cpt_myplugin_uninstall' );

/**
 * Re-evaluate active post types after the plugin is deactivated
 * @since 1.0.1
 */
function builder_cpt_myplugin_uninstall() {
	delete_option( 'builder_cpt' );
}